package fr.cnam.joueur;

import java.awt.Point;
import java.rmi.*;

import fr.cnam.espacetore.EspaceToreODInt;
import fr.cnam.joueur.FactoryAgentInt;

public class Agent_Ensemble extends Agent 
{
    public Agent_Ensemble(int couleur,
              FactoryAgentInt factory,
              int portRMI) throws RemoteException
    {
        super(couleur,
              factory,
              portRMI);
    }

    public void deplacer()
    {
        try{
            if (! espace.getModeCombat())
                {
                    fuireEnnemie();
                    if ( ! deplacerEnsemble(10))
                        super.deplacer(); 
                }
            else
                {
                    if ( ! deplacerEnnemie())
                        if ( ! deplacerEnsemble(10))
                            super.deplacer(); 
                }
        }
        catch(Exception ex){System.out.println("Erreur deplacer");}
    }
}